// ConfServerDlg.h : header file
//

#if !defined(AFX_CONFSERVERDLG_H__4FE53A0B_06DD_4A23_B8F6_D4C69E83EA81__INCLUDED_)
#define AFX_CONFSERVERDLG_H__4FE53A0B_06DD_4A23_B8F6_D4C69E83EA81__INCLUDED_

#pragma warning(disable: 4786)

#import "..\..\..\common\VCProX.ocx"

using namespace VCProX;

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

const IID IID_IConferenceServerEventSink = __uuidof(IvcproConferenceServerEvents);

class CConferenceServerEventSink : public CCmdTarget
{
public:
	HWND m_DialogHWND;					 
	CConferenceServerEventSink();
	//virtual ~CConferenceServerEventSink();

protected:
	// Generated OLE dispatch map functions
	//{{AFX_DISPATCH(CIpServerEventSink)
	afx_msg void OnClientConnect(long ConnId);
	afx_msg void OnClientDisconnect(long ConnId);
	afx_msg void OnReceiveText(long ConnId, BSTR text);
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()
	DECLARE_INTERFACE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CConfServerDlg dialog

class CConfServerDlg : public CDialog
{
// Construction
public:
	HexComPtr<HEX_IIID(IvcproConferenceServerX)> m_Conf;

	CConfServerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CConfServerDlg)
	enum { IDD = IDD_CONFSERVER_DIALOG };
	CEdit	m_Log;
	CComboBox	m_ServerSamplingRate;
	CComboBox	m_ServerSocketType;
	CButton	m_ServerStop;
	CButton	m_ServerStart;
	CString	m_ServerPort;
	CString	m_Clients;
	CString	m_LogStr;
	CString	m_ClientId;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfServerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CConfServerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButton7();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	UINT_PTR timer;

	CConferenceServerEventSink m_ServerSink;
	LPUNKNOWN m_pUnkSink;
	DWORD m_dwCookie;

	void VCInit();
	void VCUninit();
	void ServerInit(bool bStart = true);
	int SamplingRate(CComboBox& combo);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFSERVERDLG_H__4FE53A0B_06DD_4A23_B8F6_D4C69E83EA81__INCLUDED_)
